Subject: [dhcwg] [Technical Errata Reported] RFC6704 (4995)

From: RFC Errata System <[email-masked]>
Date: Fri, 14 Apr 2017 11:56:17 -0700 (PDT)

The following errata report has been submitted for RFC6704,
"Forcerenew Nonce Authentication".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6704&eid=4995

--------------------------------------
Type: Technical
Reported by: Niels Widger <[email-masked]>

Section: 4

Original Text
-------------
   IANA has assigned the following new DHCPv4 option code from the
   registry "BOOTP Vendor Extensions and DHCP Options" maintained at
   http://www.iana.org/assignments/bootp-dhcp-parameters:

   Tag: 145

   Name: FORCERENEW_NONCE_CAPABLE

   Data length: 1

   Description: Forcerenew Nonce Capable

   Reference: this document

Corrected Text
--------------
   IANA has assigned the following new DHCPv4 option code from the
   registry "BOOTP Vendor Extensions and DHCP Options" maintained at
   http://www.iana.org/assignments/bootp-dhcp-parameters:

   Tag: 145

   Name: FORCERENEW_NONCE_CAPABLE

   Data length: n

   Description: Forcerenew Nonce Capable

   Reference: this document

Notes
-----
RFC 6704 Section 3.1.1 states that the FORCERENEW_NONCE_CAPABLE option is variable length and contains a list of algorithm types:

The FORCERENEW_NONCE_CAPABLE option contains code 145, length n, and
   a sequence of algorithms the client supports:

             Code   Len   Algorithms
            +-----+-----+----+----+----+
            | 145 |  n  | A1 | A2 | A3 | ....
            +-----+-----+----+----+----+

                 Figure 1: FORCERENEW_NONCE_CAPABLE Option

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6704 (draft-ietf-dhc-forcerenew-nonce-07)
--------------------------------------
Title               : Forcerenew Nonce Authentication
Publication Date    : August 2012
Author(s)           : D. Miles, W. Dec, J. Bristow, R. Maglione
Category            : PROPOSED STANDARD
Source              : Dynamic Host Configuration
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Fri, 14 Apr 2017 19:28:48 +0000

Yes, IANA should correct the table to reflect that the length is n, not 1.

This is a valid erratum to IANA, but I don’t think that this is a valid erratum to the RFC.

We can just request that IANA correct the table?

- Bernie

On 4/14/17, 2:56 PM, "RFC Errata System" <[email-masked]> wrote:

    
    
    Section: 4
    
    Original Text
    -------------
    
       Tag: 145

       Data length: 1

       Reference: this document
    
    Corrected Text
    --------------
    
       Tag: 145

       Data length: n

       Reference: this document
    
    Notes
    -----

                 Code   Len   Algorithms

    Instructions:
    -------------

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 19 Apr 2017 12:36:39 +0000

This erratum is verified. Please update it to reflect that is verified.

We can then notify IANA to have the table corrected.

- Bernie Volz

    

    Section: 4
    
    Original Text
    -------------
    
       Tag: 145

       Data length: 1

       Reference: this document
    
    Corrected Text
    --------------
    
       Tag: 145

       Data length: n

       Reference: this document
    
    Notes
    -----

                 Code   Len   Algorithms

    Instructions:
    -------------

---

From: Suresh Krishnan <[email-masked]>
Date: Wed, 19 Apr 2017 19:14:04 +0000

Hi Bernie,
  I will try to figure out how to do the IANA update. I will hold onto the erratum until then.

Thanks
Suresh

> On Apr 19, 2017, at 8:36 AM, Bernie Volz (volz) <[email-masked]> wrote:
>

---

From: Megan Ferguson <[email-masked]>
Date: Wed, 19 Apr 2017 15:16:29 -0700

Hi Suresh,

Just forwarding this message from Amanda at IANA for FYI as I see you were not CC’d.

Thank you.

RFC Editor/mf

> Begin forwarded message:
> 
>> From: "Amanda Baber via RT" <[email-masked]>
>> Subject: [IANA #957997] [IANA] Fwd: [Technical Errata Reported] RFC6704 (4995)
>> Date: April 18, 2017 at 2:16:19 PM PDT
>> Cc: [email-masked], [email-masked], [email-masked]
>> Reply-To: [email-masked]
>> 
>> Hi Bernie,
>> 
>> Megan forwarded us this note about errata 4995.
>> 
>> Because the IANA Considerations section specifically says that the entry in the length field is "1," and it's an IETF Consensus registry, we would need an AD-verified errata report in order to change the length to "n." We'll add a link to the errata report to the reference field when we make the change.
>> 
>> Best regards,
>> 
>> Amanda Baber
>> Lead IANA Services Specialist

---

From: Suresh Krishnan <[email-masked]>
Date: Wed, 19 Apr 2017 22:38:48 +0000

> On Apr 19, 2017, at 6:16 PM, Megan Ferguson <[email-masked]> wrote:
> 
> Hi Suresh,
> 

Thanks Megan. I will go and verify the Erratum.

Regards
Suresh